Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class SignatureAlgorithm

    java.lang.Object
      org.mozilla.jss.crypto.Algorithm
          org.mozilla.jss.crypto.SignatureAlgorithm

    public class SignatureAlgorithm

extends Algorithm

Algorithms that can be used for signing.

Field Summary
`static SignatureAlgorithm` | `DSASignature` Raw DSA signing.
`static SignatureAlgorithm` | `DSASignatureWithSHA1Digest`
`static SignatureAlgorithm` | `ECSignature` Raw EC signing.
`static SignatureAlgorithm` | `ECSignatureWithSHA1Digest`
`static SignatureAlgorithm` | `ECSignatureWithSHA256Digest`
`static SignatureAlgorithm` | `ECSignatureWithSHA384Digest`
`static SignatureAlgorithm` | `ECSignatureWithSHA512Digest`
`static SignatureAlgorithm` | `RSASignature` Raw RSA signing.
`static SignatureAlgorithm` | `RSASignatureWithMD2Digest`
`static SignatureAlgorithm` | `RSASignatureWithMD5Digest`
`static SignatureAlgorithm` | `RSASignatureWithSHA1Digest`
`static SignatureAlgorithm` | `RSASignatureWithSHA256Digest`
`static SignatureAlgorithm` | `RSASignatureWithSHA384Digest`
`static SignatureAlgorithm` | `RSASignatureWithSHA512Digest`

Fields inherited from class org.mozilla.jss.crypto.Algorithm
`CKM_AES_CBC, CKM_AES_CBC_PAD, CKM_AES_ECB, CKM_AES_KEY_GEN, CKM_DES_CBC_PAD, CKM_DES_KEY_GEN, CKM_DES3_CBC_PAD, CKM_DES3_ECB, CKM_DES3_KEY_GEN, CKM_DSA_KEY_PAIR_GEN, CKM_EC_KEY_PAIR_GEN, CKM_PBA_SHA1_WITH_SHA1_HMAC, CKM_RC2_CBC_PAD, CKM_RC2_KEY_GEN, CKM_RC4_KEY_GEN, CKM_RSA_PKCS_KEY_PAIR_GEN, CKM_SHA_1_HMAC, oid, oidIndex, SEC_OID_ANSIX9_DSA_SIGNATURE, SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST, SEC_OID_ANSIX962_EC_PUBLIC_KEY, SEC_OID_ANSIX962_ECDSA_SHA1_SIGNATURE, SEC_OID_ANSIX962_ECDSA_SHA256_SIGNATURE, SEC_OID_ANSIX962_ECDSA_SHA384_SIGNATURE, SEC_OID_ANSIX962_ECDSA_SHA512_SIGNATURE, SEC_OID_DES_CBC, SEC_OID_DES_ECB, SEC_OID_DES_EDE3_CBC, SEC_OID_HMAC_SHA256, SEC_OID_HMAC_SHA384, SEC_OID_HMAC_SHA512, SEC_OID_MD2, SEC_OID_MD5, SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA256_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA384_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA512_WITH_RSA_ENCRYPTION, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4, SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC, SEC_OID_RC2_CBC, SEC_OID_RC4, SEC_OID_SHA1, SEC_OID_SHA256, SEC_OID_SHA384, SEC_OID_SHA512`

Constructor Summary
`protected` | `SignatureAlgorithm(int oidIndex, java.lang.String name, SignatureAlgorithm signingAlg, DigestAlgorithm digestAlg, OBJECT_IDENTIFIER oid)`

Method Summary
`static SignatureAlgorithm` | `fromOID(OBJECT_IDENTIFIER oid)` Looks up the signature algorithm with the given OID.
`DigestAlgorithm` | `getDigestAlg()` The digest portion of the signature algorithm.
`SignatureAlgorithm` | `getRawAlg()`
`Algorithm` | `getSigningAlg()` The raw encryption portion of the signature algorithm.

Methods inherited from class org.mozilla.jss.crypto.Algorithm
`getParameterClass, getParameterClasses, isValidParameterObject, toOID, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RSASignature

    public static final SignatureAlgorithm RSASignature

  Raw RSA signing. This algorithm does not do any hashing, it merely encrypts its input, which should be a hash.

### DSASignature

    public static final SignatureAlgorithm DSASignature

  Raw DSA signing. This algorithm does not do any hashing, it merely operates on its input, which should be a hash.

### ECSignature

    public static final SignatureAlgorithm ECSignature

  Raw EC signing. This algorithm does not do any hashing, it merely operates on its input, which should be a hash.

### RSASignatureWithMD2Digest

    public static final SignatureAlgorithm RSASignatureWithMD2Digest

### RSASignatureWithMD5Digest

    public static final SignatureAlgorithm RSASignatureWithMD5Digest

### RSASignatureWithSHA1Digest

    public static final SignatureAlgorithm RSASignatureWithSHA1Digest

### DSASignatureWithSHA1Digest

    public static final SignatureAlgorithm DSASignatureWithSHA1Digest

### ECSignatureWithSHA1Digest

    public static final SignatureAlgorithm ECSignatureWithSHA1Digest

### ECSignatureWithSHA256Digest

    public static final SignatureAlgorithm ECSignatureWithSHA256Digest

### ECSignatureWithSHA384Digest

    public static final SignatureAlgorithm ECSignatureWithSHA384Digest

### ECSignatureWithSHA512Digest

    public static final SignatureAlgorithm ECSignatureWithSHA512Digest

### RSASignatureWithSHA256Digest

    public static final SignatureAlgorithm RSASignatureWithSHA256Digest

### RSASignatureWithSHA384Digest

    public static final SignatureAlgorithm RSASignatureWithSHA384Digest

### RSASignatureWithSHA512Digest

    public static final SignatureAlgorithm RSASignatureWithSHA512Digest

Constructor Detail

### SignatureAlgorithm

    protected SignatureAlgorithm(int oidIndex,
                                 java.lang.String name,
                                 SignatureAlgorithm signingAlg,
                                 DigestAlgorithm digestAlg,
                                 OBJECT_IDENTIFIER oid)

Method Detail

### fromOID

    public static SignatureAlgorithm fromOID(OBJECT_IDENTIFIER oid)
                                      throws java.security.NoSuchAlgorithmException

  Looks up the signature algorithm with the given OID.

  Throws:
    `java.security.NoSuchAlgorithmException` - If no algorithm is found with this OID.

### getSigningAlg

    public Algorithm getSigningAlg()

  The raw encryption portion of the signature algorithm. For example, SignatureAlgorithm.RSASignatureWithMD2Digest.getSigningAlg == SignatureAlgorithm.RSASignature.

### getRawAlg

    public SignatureAlgorithm getRawAlg()

### getDigestAlg

    public DigestAlgorithm getDigestAlg()
                                 throws java.security.NoSuchAlgorithmException

  The digest portion of the signature algorithm.

  Throws:
    `java.security.NoSuchAlgorithmException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD